body{
    background: linear-gradient(to left, #66ccff 0%, #003399 100%);
    font-family: 'Roboto', sans-serif;
    margin: 0;
}

h1{
    cursor: default;

    color: white;
    font-size: 5.5vw;
    font-weight: bold;
    margin-left: 10%;
    margin-top: 5%;
    margin-bottom: 3%;
}

/*
h2{
    cursor: default;

    color: white;
    font-size: 2.5vw;
    font-weight: bold;
    margin-left: 10%;
    margin-top: 3%;
    margin-bottom: 1%;
}

h3{
    cursor: default;

    color: white;
    font-size: 2vw;
    font-weight: bold;
    margin-left: 10%;
    margin-top: 2%;
    margin-bottom: 0.5%;
}

p{
    user-select: none;

    color: white;
    font-size: 1.5vw;
    line-height: 1.5;
    
    margin-left: 10%;
    margin-bottom: 0;
    margin-top: 0;
}


#name{
    font-size: 1.75vw;
    font-weight: bold;

    margin-bottom: 1%;
}
*/
a{
    text-decoration: none;

    display: block;
    font-size: 1.5vw;
    color: white;
    margin-left: 10%;
    margin-bottom: 1%;
}

a:hover{
    text-decoration: underline;
}

button{
    --border-width: 2px;
    --border-radius: 25px;
    
    width: 8vw;
    height: 5vh;

    background: linear-gradient(to left, #66ccff 0%, #003399 100%);
    border: 0;
    position: relative;
    border-radius: var(--border-radius);
    z-index: 1;
    overflow: hidden; /* Sorgt dafür, dass der Farbverlauf nur innerhalb des sichtbaren Bereichs bleibt */
    font-weight: bold;
    box-shadow: 0px 0px 10px rgba(8,7,16,0.6);
    font-size: 1.25vw;

    margin-left: 10%;
    margin-top: 2%;
    margin-bottom: 2%;
}

#buttonText{
    display: block;
    width: 100%;
    height: 100%;

    text-decoration: none;
    color: transparent;
    background: linear-gradient(to left, #66ccff 0%, #003399 100%);
    -webkit-background-clip: text;
    background-clip: text;
    margin-top: 5%;
} 

button::before{
    content: '';
    height: calc(100% - calc(var(--border-width)*2));
    width: calc(100% - calc(var(--border-width)*2));

    background: white;
    position: absolute;

    top: var(--border-width);
    left: var(--border-width);

    border-radius: calc(var(--border-radius) - var(--border-width));

    z-index: -1;
}

button:hover{
    cursor: pointer;
}

button:hover::before{
    background-color: rgb(245, 245, 245);
}
